summaryrefslogtreecommitdiff
path: root/tests/chmod/equal-x
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/equal-x')
-rwxr-xr-xtests/chmod/equal-x54
1 files changed, 54 insertions, 0 deletions
diff --git a/tests/chmod/equal-x b/tests/chmod/equal-x
new file mode 100755
index 0000000..3e16ce5
--- /dev/null
+++ b/tests/chmod/equal-x
@@ -0,0 +1,54 @@
+#!/bin/sh
+# Test "chmod =x" and the like.
+
+# Copyright (C) 1999, 2000, 2002, 2004, 2005, 2006 Free Software Foundation,
+# Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ chmod --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+file=f
+touch $file || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+fail=0
+umask 005
+for mode in =x =xX =Xx =x,=X =X,=x; do
+ chmod a=r,$mode $file || fail=1
+ case "`ls -l $file`" in
+ ---x--x---*) ;;
+ *) fail=1; echo "after \`chmod $mode $file':"; ls -l $file ;;
+ esac
+done
+
+(exit $fail); exit $fail